import 'package:flutter/material.dart';

import 'package:jeweled/ui/widgets/actions/button_game_quit.dart';

class GameEndWidget extends StatelessWidget {
  const GameEndWidget({super.key});

  @override
  Widget build(BuildContext context) {
    const String decorationImageAssetName = 'assets/ui/placeholder.png';

    const Widget decorationWidget = TextButton(
      onPressed: null,
      child: Image(
        image: AssetImage(decorationImageAssetName),
        fit: BoxFit.fill,
      ),
    );

    return Table(
      defaultColumnWidth: const IntrinsicColumnWidth(),
      defaultVerticalAlignment: TableCellVerticalAlignment.bottom,
      children: [
        TableRow(
          children: [
            const Column(
              children: [decorationWidget],
            ),
            const Column(
              children: [decorationWidget],
            ),
            const Column(
              children: [QuitGameButton()],
            ),
            const Column(
              children: [decorationWidget],
            ),
            const Column(
              children: [decorationWidget],
            ),
          ],
        ),
      ],
    );
  }
}
